GNU bug report logs - #51197
28.0.50; [PATCH] get process-async-https-with-delay to pass

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: dick.r.chiang@HIDDEN; Keywords: patch notabug moreinfo; Done: dick <dick.r.chiang@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51197 <at> debbugs.gnu.org:


Received: (at 51197) by debbugs.gnu.org; 15 Oct 2021 00:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 20:45:21 2021
Received: from localhost ([127.0.0.1]:37415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mbBLc-0008Ed-IP
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 20:45:21 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:41604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dick.r.chiang@HIDDEN>) id 1mbBLU-0008EE-9W
 for 51197 <at> debbugs.gnu.org; Thu, 14 Oct 2021 20:45:18 -0400
Received: by mail-qk1-f181.google.com with SMTP id r15so7143994qkp.8
 for <51197 <at> debbugs.gnu.org>; Thu, 14 Oct 2021 17:45:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=U41sjuPX+AL+rAvrattI0MDJka8K/iJe4F2pWh3hpVE=;
 b=iriL5JZhz/lg4k72Ht2b879zgBx2xbF57y+FNoInGREjIW4KBYZ69ivjcHPm0Y9l7S
 GQ4TxaPhy6dYv81DIGThlpU5mFfyhwqhozPD45Xp94chJVuD8uJqwCW7K3QQfMwvYFpv
 YfSDVtJjcB3Nr2sQILzG1Ns0X5LhSuaB8nbVRiQ0xKbLrRIGvuXfde8gQHiiryUqS9oz
 VTreUt8w1r9uWywgaVufSwrIajqLn53u+dFi8iS3KXZkXxNtgtaEf4byxXR2cYf2k27w
 HeteXvINT9lI4tVxWjCek380qJALaDNNs526xNIejJlDLMy5jkbUxKDehvK59/msveRN
 o/kw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=U41sjuPX+AL+rAvrattI0MDJka8K/iJe4F2pWh3hpVE=;
 b=fYrrWow6hsgkBTxlwTk6CRDvyFwiXkGDrTBSf6XPqsPqvoJEqAH2CMnNE3CHJ7pnkg
 tLdBc57DNQaHmSpghnFFV2MXm9wQzeoFNBtuNwYiGsEW30LMGLju4MtGtUkqvS1z79pe
 h8or7N2+EtYw6sIEdgO2pzCY5puZ2pxRxvgAnBY1EaoADosXQaPWn8XsGg1QE3pYTWWk
 ZMzrikdPVay/jWz4GjX/CzM60IPVPpgXyvHLxZiYocJwATTSjkajX9pzaNKqattjWdFl
 +Xt2YmaJs+MOpnkMNbHzPnQtZupItBUQw7sQXQ91dGj+xP/F9Fn7EiwcyBuzgzHAy9PS
 xN9w==
X-Gm-Message-State: AOAM530jPFqVE6PmiPVLb7ka/wgAFlxaRRF1KOo4Uw5+sGWKS68uEfAX
 J/QM2h4w0skANeg0xTaxH4C7m3HwOArgsw==
X-Google-Smtp-Source: ABdhPJyS0BUxl6crk/5g5fOWcnuJK6qpMHkLZNIKJ3Kl0SJAArBR212ysWkCNAT+JOPE6gwYGnFCyw==
X-Received: by 2002:a37:d206:: with SMTP id f6mr7896403qkj.51.1634258706924;
 Thu, 14 Oct 2021 17:45:06 -0700 (PDT)
Received: from localhost ([68.237.93.126])
 by smtp.gmail.com with ESMTPSA id j14sm2044871qtq.36.2021.10.14.17.45.06
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 14 Oct 2021 17:45:06 -0700 (PDT)
From: dick <dick.r.chiang@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51197: 28.0.50; [PATCH] get process-async-https-with-delay
 to pass
References: <878ryw5ouk.fsf@dick> <87y26vwwed.fsf@HIDDEN>
 <875ytzcjbj.fsf@dick> <871r4ntdup.fsf@HIDDEN>
Date: Thu, 14 Oct 2021 20:45:06 -0400
In-Reply-To: <871r4ntdup.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 15 Oct 2021 00:56:30 +0200")
Message-ID: <87y26vazfx.fsf@dick>
User-Agent: Gnus/5.14 (Gnus v5.14) Commercial/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51197
Cc: 51197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Lars Ingebrigtsen <larsi@HIDDEN> writes:

> (Google for "Let's Encrypt meltdown of September 30th 2021".)

My first Google hit was a Tolstoyesque treatise from "catchpoint.com".
Related to our earlier discussion about length versus comprehensibility, it
really is remarkable how deluded IT people are about the layperson who
perceives security as a tedious and probabalistically unnnecessary precaution.
Doctors and lawyers do not hold forth about the viscissitudes of their daily
work.  Perhaps that is why they are paid more.

I then googled "ubuntu ca-certificates update" and got what I needed.

I shall add crow to my grocery list for having mistaken this for a bug.  I'll
close this issue presently.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51197; Package emacs. Full text available.
bug closed, send any further explanations to 51197 <at> debbugs.gnu.org and dick.r.chiang@HIDDEN Request was from dick <dick.r.chiang@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from dick <dick.r.chiang@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51197 <at> debbugs.gnu.org:


Received: (at 51197) by debbugs.gnu.org; 14 Oct 2021 22:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 18:56:45 2021
Received: from localhost ([127.0.0.1]:37312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb9eX-0003K3-0h
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 18:56:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mb9eT-0003Ja-3y
 for 51197 <at> debbugs.gnu.org; Thu, 14 Oct 2021 18:56:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pfEzJIH6xrhmQKsPD/c+1Id5KWVyd5eOr8dTDYWlMsU=; b=OQmhpKkc8pTh+TrtPaYpYyWtHP
 KOVqjII4PHO8hTZ+lqFHhmucq3WIucZg8JKLErGteEBiCgrBrc5wQLVwMP7S0lDc9QbNvdG3HmXn8
 2sTeU9dIeL4cxJpXfN582js+rPUepriKWckVzyk6cvxYesw7nLZjilinMuLuLD8K249g=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mb9eK-0006Ys-Q9; Fri, 15 Oct 2021 00:56:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: dick <dick.r.chiang@HIDDEN>
Subject: Re: bug#51197: 28.0.50; [PATCH] get process-async-https-with-delay
 to pass
References: <878ryw5ouk.fsf@dick> <87y26vwwed.fsf@HIDDEN>
 <875ytzcjbj.fsf@dick>
X-Now-Playing: new's _Nattsyntese_: "Alene med arvestoffet"
Date: Fri, 15 Oct 2021 00:56:30 +0200
In-Reply-To: <875ytzcjbj.fsf@dick> (dick's message of "Thu, 14 Oct 2021
 18:50:24 -0400")
Message-ID: <871r4ntdup.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  dick <dick.r.chiang@HIDDEN> writes: >> Well, I see your
 point -- this test isn't about testing security stuff > > My larger point
 is `make check` fails as of October 13 because some > certificate in the
 ELPA tls chain has fallen out of [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51197
Cc: 51197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

dick <dick.r.chiang@HIDDEN> writes:

>> Well, I see your point -- this test isn't about testing security stuff
>
> My larger point is `make check` fails as of October 13 because some
> certificate in the ELPA tls chain has fallen out of favor with the notoriously
> capricious security gods.

This means that your TLS toolchain is out of date and you should update
it.  (Google for "Let's Encrypt meltdown of September 30th 2021".)

> It's becoming increasingly obvious to me that I'm the only person in the
> emacsverse who regularly runs `make check`, as no one else, including the
> maintainers, seems to notice `make check` failures as quickly as I do.

I run "make check" every day.  The test works fine on Debian/bullseye.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51197; Package emacs. Full text available.

Message received at 51197 <at> debbugs.gnu.org:


Received: (at 51197) by debbugs.gnu.org; 14 Oct 2021 22:50:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 18:50:32 2021
Received: from localhost ([127.0.0.1]:37308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb9YW-0002w6-Cm
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 18:50:32 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:44927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dick.r.chiang@HIDDEN>) id 1mb9YU-0002vX-Ez
 for 51197 <at> debbugs.gnu.org; Thu, 14 Oct 2021 18:50:31 -0400
Received: by mail-qv1-f52.google.com with SMTP id v2so4646714qve.11
 for <51197 <at> debbugs.gnu.org>; Thu, 14 Oct 2021 15:50:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0cp1XD7AETcn5UtS7rT7dgWRDpWjzsRyPJRdwU8bENU=;
 b=mvfBIB5fDv2JKy7f7UHuEdoFESHRrGD//xAc3glTTVYlS9J/7BGOYDadXpAbSB/Rda
 XTnXLdPkS81ei2/5W9/HnkBbAQuo4rZv7sSguAyKdIwIP7Eb5eSrVwSMbN7BeIAJDUvQ
 Bdo0u9wgywiOEZZe9hHFjcuPueaYvbYw+iy5LGByRUU1ZXzGqz1cDfci3ygMST+XzPFB
 R2V4UyDnRRyr9TcRPlym1ylznFSirFdk1voJyXmvWO1R9aJ2vqvRHZbgbU1CLU9Jn7lS
 ds7opsEMYpizH53iUspOarkY2ZtPG2NBw2xEdlgjhzjADdebXfWuvy0ApFxtOoPXP48E
 W+vw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0cp1XD7AETcn5UtS7rT7dgWRDpWjzsRyPJRdwU8bENU=;
 b=UtYSEEzoynvBSkbSCrrmMPdZweG28IoH07a1H0Q6PgpiHr/SOtmJP8u0WdjjiPTjbX
 eWH7tOCkW4gE1kSWG5HzK8Do/Fpx1TCp/Q92JB3TvIW4+nl6ghRo5CPmua6JD72RnUv8
 WDAFIZ7zpzJxAGon8yngMUvkVnWb7QC0K6yzTaDWnqPzA27yU21RFcXDwroLkFVtsWRe
 aRowN+6APoo7ejMZzlx/0b8IagHIFzIdFn0NKCpnMi50/A+iW6p00dB+3mGWEOUBA6Xa
 UVse4YG5ixx1bZN+vFeV4cJ5KNZzskQYf6UUbnLKkGWvy0qtDnss6X3Q7s63f69vlXzx
 A90w==
X-Gm-Message-State: AOAM532BB3SK/pad9XIPI2BB4y7tTHPgnUIUMhRWopn3A14sy7iLe2ed
 mShc+/7iiLhj9KwSWCUEIBcOp9zvgOs=
X-Google-Smtp-Source: ABdhPJw3qyc5vvvOVYHkhxJEwtXuFMGy8Oe/LaBJnZUv3N6154TAvZmam42KyP98suBbMozEWX/ngA==
X-Received: by 2002:a0c:c610:: with SMTP id v16mr7946025qvi.36.1634251824867; 
 Thu, 14 Oct 2021 15:50:24 -0700 (PDT)
Received: from localhost ([68.237.93.126])
 by smtp.gmail.com with ESMTPSA id bp40sm750753qkb.114.2021.10.14.15.50.24
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 14 Oct 2021 15:50:24 -0700 (PDT)
From: dick <dick.r.chiang@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51197: 28.0.50; [PATCH] get process-async-https-with-delay
 to pass
References: <878ryw5ouk.fsf@dick> <87y26vwwed.fsf@HIDDEN>
Date: Thu, 14 Oct 2021 18:50:24 -0400
In-Reply-To: <87y26vwwed.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 14 Oct 2021 15:47:38 +0200")
Message-ID: <875ytzcjbj.fsf@dick>
User-Agent: Gnus/5.14 (Gnus v5.14) Commercial/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51197
Cc: 51197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Well, I see your point -- this test isn't about testing security stuff

My larger point is `make check` fails as of October 13 because some
certificate in the ELPA tls chain has fallen out of favor with the notoriously
capricious security gods.

It's becoming increasingly obvious to me that I'm the only person in the
emacsverse who regularly runs `make check`, as no one else, including the
maintainers, seems to notice `make check` failures as quickly as I do.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51197; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51197 <at> debbugs.gnu.org:


Received: (at 51197) by debbugs.gnu.org; 14 Oct 2021 13:47:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 09:47:53 2021
Received: from localhost ([127.0.0.1]:34998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb15N-0004SM-63
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 09:47:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mb15J-0004Rl-5G
 for 51197 <at> debbugs.gnu.org; Thu, 14 Oct 2021 09:47:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5K/WkKx6TE3WL4TYeZ7Hhsmqv+g/ATTYF6YVWecy7AM=; b=ksU3+pS23eKPAXmGsRFm79YS7t
 x+FKXL6u35Zd/9ZXMTCtIWY/XH2mXc6Io5K0MM535NV/UHDyhFGWGhSk8v9aUT4UkS6+SJd/OclvP
 gr62iFuUoRhoemMvCA5ekwql90j/wm/GNZvh5XxOIYHf/PJHwu6QR8f/idinnz/wzTq0=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mb159-0002KN-Ep; Thu, 14 Oct 2021 15:47:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: dick.r.chiang@HIDDEN
Subject: Re: bug#51197: 28.0.50; [PATCH] get process-async-https-with-delay
 to pass
References: <878ryw5ouk.fsf@dick>
X-Now-Playing: David Allred's _Old Home_: "Peter's Guitar"
Date: Thu, 14 Oct 2021 15:47:38 +0200
In-Reply-To: <878ryw5ouk.fsf@dick> (dick r. chiang's message of "Wed, 13 Oct
 2021 22:20:35 -0400")
Message-ID: <87y26vwwed.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: dick.r.chiang@HIDDEN writes: > * test/src/process-tests.el
 (process-async-https-with-delay): > Dial down the security. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51197
Cc: 51197 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

dick.r.chiang@HIDDEN writes:

> * test/src/process-tests.el (process-async-https-with-delay):
> Dial down the security.

[...]

> +         (network-security-level 'low)

Well, I see your point -- this test isn't about testing security stuff,
but only a specific TLS negotiating thing, so disabling the security
stuff makes some sense.  But on the other hand, we're then not testing
the complete normal code path, so...

So I'm not sure.  I'm leaning towards applying the patch, but does
anybody else have an opinion here first?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51197; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2021 02:20:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 22:20:47 2021
Received: from localhost ([127.0.0.1]:34103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maqMQ-0005KU-SF
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 22:20:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:60670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dick.r.chiang@HIDDEN>) id 1maqMN-0005KI-4q
 for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 22:20:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36694)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dick.r.chiang@HIDDEN>)
 id 1maqMM-0006GW-0J
 for bug-gnu-emacs@HIDDEN; Wed, 13 Oct 2021 22:20:42 -0400
Received: from mail-qv1-xf2a.google.com ([2607:f8b0:4864:20::f2a]:37796)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <dick.r.chiang@HIDDEN>)
 id 1maqMI-00019n-8u
 for bug-gnu-emacs@HIDDEN; Wed, 13 Oct 2021 22:20:41 -0400
Received: by mail-qv1-xf2a.google.com with SMTP id o13so2934425qvm.4
 for <bug-gnu-emacs@HIDDEN>; Wed, 13 Oct 2021 19:20:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=ACa4Bug69OO80awFAoepOHJCvuzbB/NVeCd0t0bybwQ=;
 b=JDc4kjeVEzuZqbtkVLXM/9/bOZDWrhfZg9CWHigfwLnNg7NkLEKTycGWDyc2sZfAuX
 IZuR0wwq9QDrtb32w8QLarFzMLE/3ilhd+s2zn0S+1Pj6dMW1naHg25RT1dhMd5Id5Yd
 ZsRruFR5iYuujmnrwzck0FyWqVaGVeqFNC/n6BC37qtZbQgZ8Hz5RH2qTSLb/+bFuLvT
 qwFEN3XO541n002TUZumi8nZI1KtuUn4+Ki/Ac2H+HovMYTuVDLAOs0/ufiJ8IAybmaq
 gqbjxFGrIw3pXm1RYt2+pEydHI21s899MPxFFAK7xDlbWfHkktnnQFlC+BZUQEUHB8WP
 AGHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=ACa4Bug69OO80awFAoepOHJCvuzbB/NVeCd0t0bybwQ=;
 b=P89a6BFiRHMaurUdfxfcp0SeOw1sjV1Vby7tk7KUg3pgkAsOTS3aq3BAMh6pPDDYad
 FxuutEhVBeJgBX/mZRoBPwr+erGZZgiPHyzM1mwUcDg2j8i9+osVRRXSVyIyVP0bVwlN
 7GgDodUGueGg+esYw5qgtiY1aHpw7zAjdyHMlelfqJ/iA3P4ysiL5iCOY9bOQGh8HbtY
 +8HLjLVu3as1EWMgGl4opyNU+lEb+5UpQvVnd8nbU4oPfOycWcNyZi2LXdHcJrHfTJ4o
 8hOa2pvD0mJglLLcZZhr14KFiPJHLP5SJsve4wvtb5esyOd9YwlujxL3BswQ7J6eR45z
 o2dg==
X-Gm-Message-State: AOAM533wZ2xau3JIcNuS7puv/VuedEoolaMSJpsmR7+Bs2q+PiOlgdMN
 maN8xQBaIYrlEIRWoBWlXoRIANhm6l8=
X-Google-Smtp-Source: ABdhPJwnl3c8kVXQun2Hkze0S95eUAIXDgJ0tWaJnvUGCxB/RGXiNJqNQNLKysx0abXKE1B2nxN5Sw==
X-Received: by 2002:a05:6214:f2d:: with SMTP id
 iw13mr2560541qvb.16.1634178036964; 
 Wed, 13 Oct 2021 19:20:36 -0700 (PDT)
Received: from localhost ([68.237.93.126])
 by smtp.gmail.com with ESMTPSA id r6sm828867qtp.34.2021.10.13.19.20.36
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 13 Oct 2021 19:20:36 -0700 (PDT)
From: dick.r.chiang@HIDDEN
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Subject: 28.0.50; [PATCH] get process-async-https-with-delay to pass
Date: Wed, 13 Oct 2021 22:20:35 -0400
Message-ID: <878ryw5ouk.fsf@dick>
User-Agent: Gnus/5.14 (Gnus v5.14) Commercial/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2607:f8b0:4864:20::f2a;
 envelope-from=dick.r.chiang@HIDDEN; helo=mail-qv1-xf2a.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-TLS-bureaucracy-flusters-test.patch

From f84829428d2e912f925ceccd95c1d81aebe64108 Mon Sep 17 00:00:00 2001
From: dickmao <none>
Date: Wed, 13 Oct 2021 16:39:05 -0400
Subject: [PATCH] TLS bureaucracy flusters test

It's never ideal when a test pings the internet (messes up statistics,
pointlessly adds to WAN congestion), but I get it's a pain to stand up
a toy https server.  See also

https://www.reddit.com/r/emacs/comments/pyevj8/what_should_i_do_cant_use_the_package_manager_it/?utm_source=share&utm_medium=web2x&context=3

* test/src/process-tests.el (process-async-https-with-delay):
Dial down the security.
---
 test/src/process-tests.el | 38 +++++++++++++++++---------------------
 1 file changed, 17 insertions(+), 21 deletions(-)

diff --git a/test/src/process-tests.el b/test/src/process-tests.el
index 44f3ea2fbb..ee64a145b7 100644
--- a/test/src/process-tests.el
+++ b/test/src/process-tests.el
@@ -920,31 +920,27 @@ process-sentinel-interrupt-event
 (ert-deftest process-async-https-with-delay ()
   "Bug#49449: asynchronous TLS connection with delayed completion."
   (skip-unless (and internet-is-working (gnutls-available-p)))
-  (let* ((status nil)
+  (let* (status
+         (network-security-level 'low)
          (buf (url-http
-                 #s(url "https" nil nil "elpa.gnu.org" nil
-                        "/packages/archive-contents" nil nil t silent t t)
-                 (lambda (s) (setq status s))
-                 '(nil) nil 'tls)))
+               #s(url "https" nil nil "elpa.gnu.org" nil
+                      "/packages/archive-contents" nil nil t silent t t)
+               (lambda (s) (setq status s))
+               '(nil) nil 'tls)))
     (unwind-protect
         (progn
-          ;; Busy-wait for 1 s to allow for the TCP connection to complete.
-          (let ((delay 1.0)
-                (t0 (float-time)))
-            (while (< (float-time) (+ t0 delay))))
-          ;; Wait for the entire operation to finish.
-          (let ((limit 4.0)
-                (t0 (float-time)))
-            (while (and (null status)
-                        (< (float-time) (+ t0 limit)))
-              (sit-for 0.1)))
+          (catch 'done
+            (dotimes (_i 40)
+              (when status
+                (throw 'done status))
+              (accept-process-output nil 0.1)))
           (should status)
-          (should-not (assq :error status))
-          (should buf)
-          (should (> (buffer-size buf) 0))
-          )
-      (when buf
-        (kill-buffer buf)))))
+          (should-not (plist-get status :error))
+          (should (buffer-live-p buf))
+          (should (> (buffer-size buf) 0)))
+      (when (buffer-live-p buf)
+        (let (kill-buffer-query-functions)
+          (kill-buffer buf))))))
 
 (ert-deftest process-num-processors ()
   "Sanity checks for num-processors."
-- 
2.26.2


--=-=-=
Content-Type: text/plain




In Commercial Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30, cairo version 1.15.10)
 of 2021-10-13 built on dick
Repository revision: cfc2ffe8668b87f4951e73230db3703b2c251d24
Repository branch: process
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.4 LTS

Configured using:
 'configure --prefix=/home/dick/.local --enable-dumping-overwrite CC=gcc-10
 PKG_CONFIG_PATH=/home/dick/.local/lib/pkgconfig'
Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON LCMS2
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB
Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  projectile-mode: t
  flx-ido-mode: t
  override-global-mode: t
  global-hl-line-mode: t
  winner-mode: t
  tooltip-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/dick/gomacro-mode/gomacro-mode hides /home/dick/.emacs.d/elpa/gomacro-mode-20200326.1103/gomacro-mode
/home/dick/.emacs.d/elpa/hydra-20170924.2259/lv hides /home/dick/.emacs.d/elpa/lv-20191106.1238/lv
/home/dick/.emacs.d/elpa/magit-3.3.0/magit-section-pkg hides /home/dick/.emacs.d/elpa/magit-section-3.3.0/magit-section-pkg
/home/dick/org-gcal.el/org-gcal hides /home/dick/.emacs.d/elpa/org-gcal-0.3/org-gcal
/home/dick/.emacs.d/lisp/json hides /home/dick/.local/share/emacs/28.0.50/lisp/json
/home/dick/.emacs.d/elpa/transient-0.3.6/transient hides /home/dick/.local/share/emacs/28.0.50/lisp/transient
/home/dick/.emacs.d/elpa/hierarchy-20171221.1151/hierarchy hides /home/dick/.local/share/emacs/28.0.50/lisp/emacs-lisp/hierarchy

Features:
(shadow sort bbdb-message footnote mail-extr emacsbug sendmail
gnus-notifications gnus-fun notifications gnus-kill gnus-dup disp-table utf-7
mm-archive url-cache nnrss nnfolder nndiscourse benchmark rbenv nnhackernews
nntwitter nntwitter-api bbdb-gnus gnus-demon nntp nnmairix nnml nnreddit
gnus-topic url-http url-auth url-gw network-stream gnutls nsm
virtualenvwrapper gud s json-rpc python tramp-sh gnus-score score-mode
gnus-bcklg gnus-srvr gnus-cite bbdb-mua bbdb-com crm bbdb bbdb-site timezone
gnus-delay gnus-draft gnus-cache gnus-agent gnus-msg nndraft nnmh use-package
use-package-delight use-package-diminish vc-git diff-mode vc-dispatcher
bug-reference org-element avl-tree ol-eww eww xdg url-queue ol-rmail ol-mhe
ol-irc ol-info ol-gnus nnselect gnus-search eieio-opt speedbar ezimage dframe
gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum gnus-group mm-url
gnus-undo gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 netrc
nnoo gnus-spec gnus-int gnus-range message rmc rfc822 mml mml-sec epa epg
rfc6068 epg-config mm-decode mm-bodies mm-encode mailabbrev gmm-utils gnus-win
ol-docview doc-view jka-compr image-mode exif dired-x dired dired-loaddefs
ol-bibtex bibtex ol-bbdb ol-w3m ol-doi org-link-doi org-tempo tempo org
org-macro org-footnote org-pcomplete org-list org-faces org-entities
org-version ob-R ob-emacs-lisp ob-ein ein-cell ein-output-area shr kinsoku
puny svg dom ein-kernel ein-ipdb ein-query ein-events ein-websocket websocket
bindat ein-node ewoc ein-log ein-classes ein-core request mailheader
autorevert filenotify anaphora ein ein-utils deferred dash cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ob
ob-tangle org-src ob-ref ob-lob ob-table ob-exp ob-comint ob-core ob-eval
org-table ol org-keys oc org-compat org-macs org-loaddefs find-func cal-menu
calendar cal-loaddefs tramp-archive tramp-gvfs tramp-cache zeroconf dbus xml
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat shell
pcomplete parse-time iso8601 ls-lisp format-spec paredit-ext paredit subed
subed-vtt subed-srt subed-common subed-mpv subed-debug subed-config inf-ruby
ruby-mode smie company pcase haskell-interactive-mode
haskell-presentation-mode haskell-process haskell-session haskell-compile
haskell-mode haskell-cabal haskell-utils haskell-font-lock haskell-indentation
haskell-string haskell-sort-imports haskell-lexeme rx haskell-align-imports
haskell-complete-module haskell-ghc-support noutline outline flymake-proc
flymake warnings etags fileloop generator xref project dabbrev
haskell-customize hydra lv use-package-ensure solarized-theme
solarized-definitions projectile lisp-mnt mail-parse rfc2231 ibuf-ext ibuffer
ibuffer-loaddefs thingatpt grep compile comint ansi-color gnus nnheader
gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils text-property-search time-date flx-ido flx
google-translate-default-ui google-translate-core-ui facemenu color ido
google-translate-core google-translate-tk google-translate-backend
use-package-bind-key bind-key auto-complete easy-mmode advice popup cus-edit
pp cus-load wid-edit emms-player-mplayer emms-player-simple emms emms-compat
cl-extra help-mode use-package-core derived hl-line winner ring edmacro kmacro
finder-inf json-reformat-autoloads json-snatcher-autoloads sml-mode-autoloads
tornado-template-mode-autoloads info package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map url-vars seq gv subr-x byte-opt
bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode lisp-mode prog-mode
register page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite emoji-zwj
charscript charprop case-table epa-hook jka-cmpr-hook help simple abbrev
obarray cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind inotify
lcms2 dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 805970 97599)
 (symbols 48 43370 1)
 (strings 32 174394 19790)
 (string-bytes 1 6003490)
 (vectors 16 87423)
 (vector-slots 8 1641774 40738)
 (floats 8 1842 315)
 (intervals 56 684 0)
 (buffers 992 25))

--=-=-=--




Acknowledgement sent to dick.r.chiang@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51197; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 15 Oct 2021 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.